Issue 69957

Summary: separate the BasicManager from the ObjectShell
Product: General Reporter: Frank Schönheit <frank.schoenheit>
Component: codeAssignee: Frank Schönheit <frank.schoenheit>
Status: CLOSED FIXED QA Contact: issues@framework <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: currentKeywords: oooqa
Target Milestone: OOo 2.x   
Hardware: All   
OS: All   
Issue Type: TASK Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 49133    

Description Frank Schönheit 2006-09-28 21:10:17 UTC
Towards implementing issue 49133 - macros in Base documents -, some preliminary
work is needed.

This issue describes the first step:
The BasicManager, whose instances are currently created and maintained by the
SfxObjectShell, have to be separated from the latter.

That is, there needs to be a dedicated repository for BasicManager instances,
which is able to provide the BasicManager belonging to document given by XModel.

Since this step involves quite some rework of existing code, it's separated into
a dedicated task, which will be part of a dedicated CWS.
Comment 1 Frank Schönheit 2006-09-28 21:30:42 UTC
accepting
Comment 2 Frank Schönheit 2006-09-28 21:39:35 UTC
correcting component
Comment 3 Frank Schönheit 2006-10-12 11:29:17 UTC
done in CWS basmgr01
Comment 4 ab 2006-10-12 11:36:33 UTC
Revieved in cws basmgr01 -> VERIFIED
Comment 5 ace_dent 2008-05-16 03:31:48 UTC
This Issue is 'Verified' and not updated in 1yr+, so Closing.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~